---
layout: handbook-page-toc
title: "Governance Documents"
---

### On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

### **AMENDED AND RESTATED BYLAWS (“RESTATED BYLAWS”) OF GITLAB INC. (As Adopted September 14, 2021 and Effective October 18, 2021)**

### **ARTICLE 1 - STOCKHOLDERS**

### **Section 1.1 - Aunnual Meetings**

If required by applicable law, an annual meeting of stockholders shall be held for the election of directors at such date and time as the Board of Directors (the "**_Board_**") of GitLab Inc. (the "**_Corporation_**") shall each year fix. The meeting may be held either at a place, within or without the State of Delaware as permitted by the Delaware General Corporation Law (the "**_DGCL_**"), or by means of remote communication as the Board in its sole discretion may determine. Any proper business may be transacted at the annual meeting.

### **Section 1.2 - Special Meetings**

Special meetings of stockholders for any purpose or purposes shall be called in the manner set forth in the Restated Certificate of Incorportion (as the same may be amended and/or restated from time to time, the "**_Certificate of Incorporation_**"). The special meeting may be held either at a place, within or without the State of Delaware, or by means of remote communication as the Board in its sole discretion may determine. Business transacted at any special meeting ofstockholders shall be limited to matters relating to the purpose or purposes stated in the notice of the meeting.

### **Section 1.3: - Notice of Meetings**

Notice of all meetings of stockholders shall be given in writing or by electronic transmission in the manner provided by applicable law (including, without limitation, as set forth in Section 7.1.1 of these Bylaws) stating the date, time and place, ifany, ofthe meeting, the means of remote communications, ifany, by which stockholders and proxy holders may be deemed to be present in person and vote at such meeting, and the record date for determining the stockholders entitled to vote at the meeting (if such date is different from the record date for determining the stockholders entitled to notice of the meeting). In the case of a special meeting, such notice shall also set forth the purpose or purposes for which the meeting is called. Unless otherwise required by applicable law or the Certificate of Incorporation, notice of any meeting of stockholders shall be given not less than ten (10), nor more than sixty (60), days before the date of the meeting to each stockholder of record entitled to vote at such meeting as ofthe record date for determining the stockholders entitled to notice of the meeting.

### **Section 1.4: - Adjournments**

Notwithstanding Section 1.5 of these Bylaws, the chairperson of the meeting shall have the power to adjourn the meeting to another time, date and place (if any) regardless of whether a quorum is present, at any time and for any reason. Any meeting of stockholders, annual or special, may be adjourned from time to time, and notice need not be given of any such adjourned meeting if the time, date and place (if any) thereof and the means of remote communication (if any) by which stockholders and proxy holders may be deemed to be present in person and vote at such adjourned meeting are announced at the meeting at which the adjournment is taken; *provided, however*, that if the adjournment is for more than thirty (30) days, a notice of the adjourned meeting shall be given to each stockholder of record entitled to vote at the meeting. If, after the adjournment, a new record date for determination of stockholders entitled to vote is fixed for the adjourned meeting, the Board shall fix as the record date for determining stockholders entitled to notice of such adjourned meeting the same or an earlier date as that fixed for determination of stockholders entitled to vote at the adjourned meeting, and shall give notice of the adjourned meeting to each stockholder of record as of the record date so fixed for notice of such adjourned meeting. At the adjourned meeting, the Corporation may transact any business that might have been transacted at the original meeting. To the fullest extent permitted by law, if a quorum is present at the original meeting, it shall also be deemed present at the adjourned meeting. To the fullest extent permitted by law, the Board may postpone, reschedule or cancel at any time and for any reason any previously scheduled special or annual meeting of stockholders before it (or any adjournment) is to be held, regardless of whether any notice or public disclosure with respect to any such meeting (or adjournment) has been sent or made pursuant to Section 1.3 hereof or otherwise, in which case notice shall be provided to the stockholders of the new date, time and place, if any, of the meeting as provided in Section 1.3 above.

### **Section 1.5: - Quorum**

Except as otherwise required by applicable law or as provided by the Certificate of Incorporation or these Bylaws, at each meeting of stockholders the holders of a majority of the voting power of the shares of stock issued and outstanding and entitled to vote at the meeting, present in person or represented by proxy, shall constitute a quorum for the transaction of business: *provided, however*, that where a separate vote by a class or classes or series of stock is required by applicable law or the Certificate of Incorporation, the holders of a majority of the voting power of the shares of such class or classes or series of the stock issued and outstanding and entitled to vote on such matter, present in person or represented by proxy at the meeting, shall constitute a quorum entitled to take action with respect to the vote on such matter. If a quorum shall fail to attend any meeting, the chairperson of the meeting or, if directed to be voted on by the chairperson of the meeting, the holders of a majority of the voting power of the shares entitled to vote who are present in person or represented by proxy at the meeting may adjourn the meeting. Shares of the Corporation's stock belonging to the Corporation (or to another corporation, if a majority of the shares entitled to vote in the election of directors of such other corporation are held, directly or indirectly, by the Corporation), shall neither be entitled to vote nor be counted for quorum purposes: *provided, however*, that the foregoing shall not limit the right of the Corporation or any other corporation to vote any shares of the Corporation's stock held by it in a fiduciary capacity and to count such shares for purposes of determining a quorum. A quorum, once established at a meeting, shall not be broken by the withdrawal of enough votes to leave less than a quorum, including, to the fullest extent permitted by law, at any adjournment thereof (unless a new record date is fixed for the adjourned meeting).


### **Section 1.6: - Organization**

Meetings of stockholders shall be presided over by (a) such person as the Board may designate, or (b) in the absence of such a person, the Chairperson of the Board, or (c) in the absence of such person, the Lead Independent Director, or, (d) in the absence of such person, the Chief Executive Officer of the Corporation, or (e) in the absence of such person, the President of the Corporation, or (f) in the absence of such person, by a Vice President. The Secretary of the Corporation shall act as secretary of the meeting, but in such person's absence the chairperson of the meeting may appoint any person to act as secretary of the meeting.

### **Section 1.7: - Voting Proxies**

Each stockholder of record entitled to vote at a meeting of stockholders may authorize another person or persons to act for such stockholder by proxy. Such a proxy may be prepared, transmitted and delivered in any manner permitted by applicable law. Except as may be required in the Certificate of Incorporation, directors shall be elected by a plurality of the votes cast by the holders of the shares present in person or represented by proxy at the meeting and entitled to vote on the election of directors. At all meetings of stockholders at which a quorum is present, unless a different or minimum vote is required by applicable law, rule or regulation applicable to the Corporation or its securities, the rules or regulations of any stock exchange applicable to the Corporation, the Certificate of Incorporation or these Bylaws, in which case such different or minimum vote shall be the applicable vote on the matter, every matter other than the election of directors shall be decided by the affirmative vote of the holders of a majority of the voting power of the shares of stock entitled to vote on such matter that are present in person or represented by proxy at the meeting and are voted for or against the matter (or if there are two or more classes or series of stock entitled to vote as separate classes, then in the case of each class or series, the holders of a majority of the voting power of the shares of stock of that class or series present in person or represented by proxy at the meeting voting for or against such matter).

### **Section 1.8: - Fixing Date for Determination of Stockholders of Record**

In order that the Corporation may determine the stockholders entitled to notice of or to vote at any meeting of stockholders or any adjournment thereof, the Board may fix a record date, which record date shall not precede the date upon which the resolution fixing the record date is adopted by the Board, and which record date shall, unless otherwise required by law, not be more than sixty (60) nor less than ten (10) days before the date of such meeting. If the Board so fixes a date, such date shall also be the record date for determining the stockholders entitled to vote at such meeting unless the Board determines, at the time it fixes such record date, that a later date on or before the date of the meeting shall be the date for making such determination. If no record date is fixed by the Board, the record date for determining stockholders entitled to notice of or to vote at a meeting of stockholders shall be at 5:00 p.m. Eastern Time on the day next preceding the day on which notice is given, or, if notice is waived, at 5:00 p.m. Eastern Time on the day next preceding the day on which the meeting is held. A determination of stockholders of record entitled to notice of or to vote at a meeting of stockholders shall apply to any adjournment of the meeting; *provided, however*, that the Board may fix a new record date for determination of stockholders entitled to vote at the adjourned meeting, and in such case shall also fix as the record date for stockholders entitled to notice of such adjourned meeting the same or an earlier date as that fixed for determination of stockholders entitled to vote in accordance herewith at the adjourned meeting.

In order that the Corporation may determine the stockholders entitled to receive payment of any dividend or other distribution or allotment of any rights, or entitled to exercise any rights in respect of any change, conversion or exchange of stock or for the purpose of any other lawful action, the Board may fix, in advance, a record date, which shall not precede the date upon which the resolution fixing the record date is adopted by the Board and which shall not be more than sixty (60) days prior to such action. If no such record date is fixed by the Board, then the record date for determining stockholders for any such purpose shall be at 5:00 p.m. Eastern Time on the day on which the Board adopts the resolution relating thereto.

### **Section 1.9: - list of Stockholders Entitled to Vote**

The Corporation shall prepare, at least ten (10) days before every meeting of stockholders, a complete list of stockholders entitled to vote at the meeting (*provided, however*, if the record date for determining the stockholders entitled to vote is less than ten (10) days before the date of the meeting, the list shall reflect the stockholders entitled to vote as of the tenth (10th) day before the meeting date), arranged in alphabetical order and showing the address of each stockholder and the number of shares registered in the name of each stockholder. Nothing herein shall require the Corporation to include electronic mail addresses or other electronic contact information on such list. Such list shall be open to the examination of any stockholder, for any purpose germane to the meeting, for a period of at least ten (10) days prior to the meeting, (a) on a reasonably accessible electronic network as permitted by applicable law (provided that the information required to gain access to the list is provided with the notice of the meeting), or (b) during ordinary business hours, at the principal place of business of the Corporation (if any). If the meeting is held at a location where stockholders may attend in person, a list of stockholders entitled to vote at the meeting shall also be produced and kept at the time and place of the meeting during the whole time thereof and may be examined by any stockholder who is present at the meeting. If the meeting is held solely by means of remote communication, then the list shall be open to the examination of any stockholder during the whole time of the meeting on a reasonably accessible electronic network, and the information required to access the list shall be provided with the notice of the meeting. Except as otherwise provided by law, the stock ledger shall be the only evidence as to who are the stockholders entitled to examine the list of stockholders required by this Section 1.9 or to vote in person or by proxy at any meeting of stockholders.

### **Section 1.10: - Inspectors of Elections**

**1.10.1 Applicability.** Unless otherwise required by the Certificate of Incorporation or by applicable law, the following provisions of this Section 1.10 shall apply only if and when the Corporation has a class of voting stock that is: (a) listed on a national securities exchange; (b) authorized for quotation on an interdealer quotation system of a registered national securities association; or (c) held of record by more than two thousand (2,000) stockholders. In all other cases, observance of the provisions of this Section 1.10 shall be optional, and at the discretion of the Board.

**1.10.2. Appointment.** The Corporation shall, in advance of any meeting of stockholders, appoint one or more inspectors of election to act at the meeting and make a written report thereof. The Corporation may designate one or more persons as alternate inspectors to replace any inspector who fails to act. If no inspector or alternate is able to act at a meeting of stockholders, the chairperson of the meeting shall appoint one or more inspectors to act at the meeting.

**1.10.3 Inspector's Oath.** Each inspector of election, before entering upon the discharge of his duties, shall take and sign an oath faithfully to execute the duties of inspector with strict impartiality and according to the best of such inspector's ability.

**1.10.4 Duties of Inspectors.** At a meeting of stockholders, the inspectors of election shall (a) ascertain the number of shares outstanding and the voting power of each share, (b) determine the shares represented at a meeting and the validity of proxies and ballots, (c) count all votes and ballots, (d) determine and retain for a reasonable period of time a record of the disposition of any challenges made to any determination by the inspectors, and (e) certify their determination of the number of shares represented at the meeting, and their count of all votes and ballots. The inspectors may appoint or retain other persons or entities to assist the inspectors in the performance of the duties of the inspectors.

**1.10.5 Opening and Closing of Polls.** The date and time of the opening and the closing of the polls for each matter upon which the stockholders will vote at a meeting shall be announced at the meeting. No ballot, proxies or votes, nor any revocations thereof or changes thereto, shall be accepted by the inspectors after the closing of the polls unless the Court of Chancery upon application by a stockholder shall determine otherwise.

**1.10.6 Determinations.** In determining the validity and counting of proxies and ballots, the inspectors shall be limited to an examination of the proxies, any envelopes submitted with those proxies, any information provided in connection with proxies pursuant to Section 21l(a)(2)b.(i) of the DGCL, or in accordance with Sections 21l(e) or 212(c)(2) of the DGCL, ballots and the regular books and records of the Corporation, except that the inspectors may consider other reliable information for the limited purpose of reconciling proxies and ballots submitted by or on behalf of banks, brokers, their nominees or similar persons which represent more votes than the holder of a proxy is authorized by the record owner to cast or more votes than the stockholder holds of record. If the inspectors consider other reliable information for the limited purpose permitted herein, the inspectors at the time they make their certification of their determinations pursuant to this Section 1.10 shall specify the precise information considered by them, including the person or persons from whom they obtained the information, when the information was obtained, the means by which the information was obtained and the basis for the inspectors' belief that such information is accurate and reliable.

### **Section 1.11: - Conduct of Meetings**

The Board may adopt by resolution such rules and regulations for the conduct of the meeting of stockholders as it shall deem appropriate. Except to the extent inconsistent with such rules and regulations as adopted by the Board, the chairperson of any meeting of stockholders shall have the right and authority to convene and (for any reason) to recess and/or adjourn the meeting, to prescribe such rules, regulations and procedures and to do all such acts as, in the judgment of such chairperson, are appropriate for the proper conduct of the meeting. Such rules, regulations or procedures, whether adopted by the Board or prescribed by the chairperson of the meeting, may include, without limitation, the following: (a) the establishment of an agenda or order of business for the meeting; (b) rules and procedures for maintaining order at the meeting and the safety of those present; (c) limitations on attendance at or participation in the meeting to stockholders entitled to vote at the meeting, their duly authorized and constituted proxies or such other persons as the chairperson of the meeting shall determine; (d) restrictions on entry to the meeting after the time fixed for the commencement thereof; (e) limitations on the time (if any) allotted to questions or comments by participants; (f) restricting the use of audio/video recording devices and cell phones; and (g) complying with any state and local laws and regulations concerning safety and security. The chairperson of any meeting of stockholders, in addition to making any other determinations that may be appropriate to the conduct of the meeting, shall, if the facts warrant, determine and declare to the meeting that a matter or business was not properly brought before the meeting and if such chairperson should so determine, such chairperson shall so declare to the meeting and any such matter or business not properly brought before the meeting shall not be transacted or considered. Unless and to the extent determined by the Board or the chairperson of the meeting, meetings of stockholders shall not be required to be held in accordance with the rules of parliamentary procedure.

### **Section 1.12: - Notice of Stockholder Business; Nominations**

**1.12.1 Annual Meeting of Stockholders**

(a) Nominations of persons for election to the Board and the proposal of other business to be considered by the stockholders may be made at an annual meeting of stockholders only: (i) pursuant to the Corporation's notice of such meeting (or any supplement thereto), (ii) by or at the direction of the Board or any committee thereof or (iii) by any stockholder of the Corporation who was a stockholder of record at the time of giving of the notice provided for in this Section 1.12 (the **_"Record Stockholder''_**), who is entitled to vote at such meeting and who complies with the notice and other procedures set forth in this Section 1.12 in all applicable respects. For the avoidance of doubt, the foregoing clause (iii) shall be the exclusive means for a stockholder to make nominations or propose business (other than business included in the Corporation's proxy materials pursuant to Rule 14a-8 under the Securities Exchange Act of 1934, as amended (such act, and the rules and regulations promulgated thereunder, the **_"Exchange Act'_**)), at an annual meeting of stockholders, and such stockholder must fully comply with the notice and other procedures set forth in this Section 1.12 to bring such nominations or other business properly before an annual meeting.

(b) For nominations or other business to be properly brought before an annual meeting by a Record Stockholder pursuant to Section 1.12.l(a):

- (i) the Record Stockholder must have given timely notice thereof in writing to the Secretary of the Corporation and have provided any updates or supplements to such notice at the times and in the forms required by this Section 1.12;

- (ii) such other business (other than the nomination of persons for election to the Board) must otherwise be a proper matter for stockholder action;

- (iii) if the Proposing Person (as defined below) has provided the Corporation with a Solicitation Notice (as defined below), such Proposing Person must, in the case of a proposal other than the nomination of persons for election to the Board, have delivered a proxy statement and form of proxy to holders of at least the percentage of the Corporation's voting shares required under applicable law to carry any such proposal, or, in the case of a nomination or nominations, have delivered a proxy statement and form of proxy to holders of a percentage of the Corporation's voting shares reasonably believed by such Proposing Person to be sufficient to elect the nominee or nominees proposed to be nominated by such Record Stockholder, and must, in either case, have included in such materials the Solicitation Notice; and

- (iv) if no Solicitation Notice relating thereto has been timely provided pursuant to this Section 1.12, the Proposing Person proposing such business or nomination must not have solicited a number of proxies sufficient to have required the delivery of such a Solicitation Notice under this Section 1.12.

To be timely, a Record Stockholder's notice must be delivered via electronic transmission to an email address designated by the Corporation on the investor relations page of its website not later than 5:00 p.m. Eastern Time on the ninetieth (90th) day nor earlier than 5:00 p.m. Eastern Time on the one hundred and twentieth (120th) day prior to the first anniversary of the preceding year's annual meeting (except in the case of the Corporation's first annual meeting following its initial public offering, for which such notice shall be timely if delivered in the same time period as if such meeting were a special meeting governed by Section 1.12.3 of these Bylaws); provided, however, that in the event that the date of the annual meeting is more than thirty (30) days before or more than seventy (70) days after such anniversary date, or if no annual meeting was held in the preceding year, notice by the Record Stockholder to be timely must be so delivered (A) no earlier than 5:00 p.m. Eastern Time on the one hundred and twentieth (120th) day prior to such annual meeting and (B) no later than 5:00 p.m. Eastern Time on the later of the ninetieth (90th) day prior to such annual meeting or 5:00 p.m. Eastern Time on the tenth (10th) day following the day on which Public Announcement (as defined below) of the date of such meeting is first made by the Corporation. In no event shall an adjournment or postponement of an annual meeting commence a new time period (or extend any time period) for providing the Record Stockholder's notice.

 (c) As to each person whom the Record Stockholder proposes to nominate for election or reelection as a director, in addition to the matters set forth in paragraph (e) below, such Record Stockholder's notice shall set forth:

- (i) the name, age, business address and residence address of such person;

- (ii) the principal occupation or employment of such nominee;

- (iii) the class, series and number of any shares of stock of the Corporation that are beneficially owned or owned of   record by such person or any Associated Person (as defined in Section 1.12.4(c));

- (iv) the date or dates such shares were acquired and the investment intent of such acquisition;

- (v) all other information relating to such person that would be required to be disclosed in solicitations of proxies for election of directors in an election contest (even if an election contest is not involved), or would be otherwise required, in each case pursuant to and in accordance with Section 14(a) (or any successor provision) under the Exchange Act and the rules and regulations thereunder;

- (vi) such person's written consent (A) to being named in the Corporation's proxy statement as a nominee, (B) to the public disclosure of information regarding or related to such person provided to the Corporation by such person or otherwise pursuant to this Section 1.12 and (C) to serving as a director, if elected;

- (vii) whether such person meets the independence requirements of the stock exchange upon which the Corporation's Class A Common Stock is primarily traded;

- (ix) a completed and signed questionnaire, representation and agreement required by Section 1.12.2 of these Bylaws.

(d) As to any business other than the nomination of a director or directors that the Record Stockholder proposes to bring before the meeting, in addition to the matters set forth in paragraph (e) below, such Record Stockholder's notice shall set forth:

- (i) a brief description of the business desired to be brought before the meeting, the text of the proposal or business (including the text of any resolutions proposed for consideration and in the event that such business includes a proposal to amend the Bylaws, the text of the proposed amendment), the reasons for conducting such business at the meeting and any material interest in such business of such Proposing Person, including any anticipated benefit to any Proposing Person therefrom; and

- (ii) a description of all agreements, arrangements and understandings between or among any such Proposing Person and any of its respective affiliates or associates, on the one hand, and any other person or persons, on the other hand, (including their names) in connection with the proposal of such business by such Proposing Person.

(e) As to each Proposing Person giving the notice, such Record Stockholder's notice shall set forth:

- (i) the current name and address of such Proposing Person, including, if applicable, their name and address as they appear on the Corporation's stock ledger, if different;

- (ii) the class or series and number of shares of stock of the Corporation that are directly or indirectly owned of record or beneficially owned by such Proposing Person, including any shares of any class or series of the Corporation as to which such Proposing Person has a right to acquire beneficial ownership at any time in the future;

- (iii) whether and the extent to which any derivative interest in the Corporation's equity securities (including without limitation any option, warrant, convertible security, stock appreciation right, or similar right with an exercise or conversion privilege or a settlement payment or mechanism at a price related to any class or series of shares of the Corporation or with a value derived in whole or in part from the value of any class or series of shares of the Corporation, whether or not such instrument or right shall be subject to settlement in the underlying class or series of shares of the Corporation or otherwise, and any cash-settled equity swap, total return swap, synthetic equity position or similar derivative arrangement (any of the foregoing, a "**_Derivative Instrument_**"), as well as any rights to dividends on the shares of any class or series of shares of the Corporation that are separated or separable from the underlying shares of the Corporation) or any short interest in any security of the Corporation (for purposes of this Bylaw a person shall be deemed to have a short interest in a security if such person directly or indirectly, through any contract, arrangement, understanding, relationship or otherwise, has the opportunity to profit or share in any profit derived from any increase or decrease in the value of the subject security, including through performance-related fees) is held directly or indirectly by or for the benefit of such Proposing Person, including without limitation whether and the extent to which any ongoing hedging or other transaction or series of transactions has been entered into by or on behalf of, or any other agreement, arrangement or understanding (including without limitation any short position or any borrowing or lending of shares) has been made, the effect or intent of which is to mitigate loss to or manage risk or benefit of share price changes for, or to increase or decrease the voting power of, such Proposing Person with respect to any share of stock of the Corporation (any of the foregoing, a "**_Short Iterest_**");

- (iv) any proportionate interest in shares of the Corporation or Derivative Instruments held, directly or indirectly, by a general or limited partnership in which such Proposing Person or any of its respective affiliates or associates is a general partner or, directly or indirectly, beneficially owns an interest in a general partner of such general or limited partnership;

- (v) any direct or indirect material interest in any material contract or agreement with the Corporation, any affiliate of the Corporation or any Competitor (as defined below) (including, in any such case, any employment agreement, collective bargaining agreement or consulting agreement);

- (vi) any significant equity interests or any Derivative Instruments or Short Interests in any Competitor held by such Proposing Person and/or any of its respective affiliates or associates;

- (vii) any other material relationship between such Proposing Person, on the one hand, and the Corporation, any affiliate of the Corporation or any Competitor, on the other hand;

- (viii) all information that would be required to be set forth in a Schedule 13D filed pursuant to Rule 13d-l(a) or an amendment pursuant to Rule 13d-2(a) if such a statement were required to be filed under the Exchange Act and the rules and regulations promulgated thereunder by such Proposing Person and/or any of its respective affiliates or associates;

- (ix) any other information relating to such Proposing Person that would be required to be disclosed in a proxy statement or other filing required to be made in connection with solicitations of proxies or consents by such Proposing Person in support of the business proposed to be brought before the meeting pursuant to Section 14(a) (or any successor provision) under the Exchange Act and the rules and regulations thereunder;

- (x) such Proposing Person's written consent to the public disclosure of information provided to the Corporation pursuant to this Section 1.12;

- (xi) a complete written description of any agreement, arrangement or understanding (whether oral or in writing) (including any knowledge that another person or entity is Acting in Concert (as defined in Section 1.12.4(c)) with such Proposing Person) between or among such Proposing Person, any of its respective affiliates or associates and any other person Acting in Concert with any of the foregoing persons;

- (xii) a representation that the Record Stockholder is a holder of record of stock of the Corporation entitled to vote at such meeting and intends to appear in person or by proxy at the meeting to propose such business or nomination;

- (xiii) a representation whether such Proposing Person intends (or is part of a group that intends) to deliver a proxy statement or form of proxy to holders of, in the case of a proposal, at least the percentage of the Corporation's voting shares required under applicable law to carry the proposal or, in the case of a nomination or nominations, a sufficient number of holders of the Corporation's voting shares to elect such nominee or nominees (an affirmative statement of such intent being a "**_Solicitation Notice_**"); and

- (xiv) any proxy, contract, arrangement, or relationship pursuant to which the Proposing Person has a right to vote, directly or indirectly, any shares of any security of the Corporation.

The disclosures to be made pursuant to the foregoing clauses (ii), (iii), (iv) and (vi) shall not include any information with respect to the ordinary course business activities of any broker, dealer, commercial bank, trust company or other nominee who is a Proposing Person solely as a result of being the stockholder directed to prepare and submit the notice required by these Bylaws on behalf of a beneficial owner.

(f) A stockholder providing written notice required by this Section 1.12 shall update such notice in writing, if necessary, so that the information provided or required to be provided in such notice is true and correct in all material respects as of (i) the record date for determining the stockholders entitled to notice of the meeting and (ii) 5:00 p.m. Eastern Time on the tenth (10th) business day prior to the meeting or any adjournment or postponement thereof. In the case of an update pursuant to clause (i) of the foregoing sentence, such update shall be received by the Secretary of the Corporation via electronic transmission to an email address designated by the Corporation on the investor relations page of its website not later than five (5) business days after the record date for determining the stockholders entitled to notice of the meeting, and in the case of an update and supplement pursuant to clause (ii) of the foregoing sentence, such update and supplement shall be received by the Secretary of the Corporation via electronic transmission to an email address designated by the Corporation on the investor relations page of its website not later than eight (8) business days prior to the date for the meeting, and, if practicable, any adjournment or postponement thereof (and, if not practicable, on the first practicable date prior to the date to which the meeting has been adjourned or postponed). For the avoidance of doubt, the obligation to update as set forth in this paragraph shall not limit the Corporation's rights with respect to any deficiencies in any notice provided by a stockholder, extend any applicable deadlines hereunder or enable or be deemed to permit a stockholder who has previously submitted notice hereunder to amend or update any proposal or nomination or to submit any new proposal, including by changing or adding nominees, matters, business and/or resolutions proposed to be brought before a meeting of the stockholders.
 
(g) Notwithstanding anything in Section 1.12 or any other provision of the Bylaws to the contrary, any person who has been determined by a majority of the Whole Board to have violated Section 2.11 of these Bylaws or a Board Confidentiality Policy (as defined below) while serving as a director of the Corporation in the preceding five (5) years shall be ineligible to be nominated to serve as a member of the Board, absent a prior waiver for such nomination approved by two-thirds of the Whole Board.

**1.12.2 Submission of Questionnaire, Representation and Agreement.** To be eligible to be a nominee of any stockholder for election or reelection as a director of the Corporation, the person proposed to be nominated must deliver (in accordance with the time periods prescribed for delivery of notice under Section 1.12 of these Bylaws) to the Secretary via electronic transmission to an email address designated by the Corporation on the investor relations page of its website a completed and signed electronic copy of the questionnaire in the form required by the Corporation (which form the stockholder shall request in writing from the Secretary of the Corporation and which the Secretary shall provide to such stockholder within ten days of receiving such request) with respect to the background and qualification of such person to serve as a director of the Corporation and the background of any other person or entity on whose behalf, directly or indirectly, the nomination is being made and a signed representation and agreement (in the form available from the Secretary upon written request) that such person: (a) is not and will not become a party to (i) any agreement, arrangement or understanding with, and has not given any commitment or assurance to, any person or entity as to how such person, if elected as a director of the Corporation, will act or vote on any issue or question (a "**_Voting Commitment_**") that has not been disclosed to the Corporation or (ii) any Voting Commitment that could limit or interfere with such person's ability to comply, if elected as a director of the Corporation, with such person's fiduciary duties under applicable law, (b) is not and will not become a party to any Compensation Arrangement (as defined below) that has not been disclosed therein, (c) if elected as a director of the Corporation, will comply with all informational and similar requirements of applicable insurance policies and laws and regulations in connection with service or action as a director of the Corporation, (d) if elected as a director of the Corporation, will comply with all corporate governance, conflict of interest, stock ownership requirements, confidentiality and trading policies and guidelines of the Corporation publicly disclosed from time to time, (e) if elected as a director of the Corporation, will act in the best interests of the Corporation and its stockholders and not in the interests of individual constituencies, (f) consents to being named as a nominee in the Corporation's proxy statement pursuant to Rule 14a-4(d) under the Exchange Act and any associated proxy card of the Corporation and agrees to serve if elected as a director and (g) intends to serve as a director for the full term for which such individual is to stand for election.

**1.12.3 Special Meeting of Stockholders.** Only such business shall be conducted at a special meeting of stockholders as shall have been brought before the meeting pursuant to the Corporation's notice of such meeting. Nominations of persons for election to the Board may be made at a special meeting of stockholders at which directors are to be elected pursuant to the Corporation's notice of such meeting (a) by or at the direction of the Board or any committee thereof or (b) provided that the Board has determined that directors shall be elected at such meeting, by any stockholder of the Corporation who is a stockholder of record at the time of giving of notice of the special meeting, who shall be entitled to vote at the meeting and who complies with the notice and other procedures set forth in this Section 1.12.3 in all applicable respects. In the event the Corporation calls a special meeting of stockholders for the purpose of electing one or more directors to the Board, any such stockholder may nominate a person or persons (as the case may be), for election to such position(s) as specified in the Corporation's notice of meeting, if the stockholder's notice required by Section 1.12.1(b) of these Bylaws shall be delivered electronically to the Secretary of the Corporation via electronic transmission to an email address designated by the Corporation on the investor relations page of its website (i) no earlier than the one hundred and twentieth (120th) day prior to such special meeting and (ii) no later than 5:00 p.m. Eastern Time on the later of the ninetieth (90th) day prior to such special meeting or the tenth (10th) day following the day on which Public Announcement is first made of the date of the special meeting and of the nominees proposed by the Board to be elected at such meeting. In no event shall an adjournment or postponement of a special meeting commence a new time period (or extend any time period) for providing such notice.

**1.12.4 General.**

(a) Except as otherwise expressly provided in any applicable rule or regulation promulgated under the Exchange Act, only such persons who are nominated in accordance with the procedures set forth in this Section 1.12 shall be eligible to be elected at a meeting of stockholders and serve as directors and only such business shall be conducted at a meeting of stockholders as shall have been brought before the meeting in accordance with the procedures set forth in this Section 1.12. Except as otherwise provided by law or these Bylaws, the chairperson of the meeting shall have the power and duty to determine whether a nomination or any other business proposed to be brought before the meeting was made or proposed, as the case may be, in accordance with the procedures set forth in this Section 1.12 and, if any proposed nomination or business is not in compliance herewith, to declare that such defective proposal or nomination shall be disregarded. Notwithstanding the foregoing provisions of this Section 1.12, unless otherwise required by law, if the stockholder (or a Qualified Representative of the stockholder (as defined below)) does not appear at the annual or special meeting of stockholders of the Corporation to present a nomination or proposed business, such nomination shall be disregarded and such proposed business shall not be transacted, notwithstanding that proxies in respect of such vote may have been received by the Corporation.

(b) Notwithstanding the foregoing provisions of this Section 1.12, a stockholder shall also comply with all applicable requirements of the Exchange Act and the rules and regulations thereunder with respect to the matters set forth herein. Nothing in this Section 1.12 shall be deemed to affect any rights of (i) stockholders to request inclusion of proposals in the Corporation's proxy statement pursuant to Rule 14a-8 under the Exchange Act or (ii) the holders of any series of Common Stock or Preferred Stock to elect directors pursuant to any applicable provisions of the Certificate of Incorporation.

(c) For purposes of these Bylaws the following definitions shall apply:

- (i) a person shall be deemed to be "**_Acting in Concert_**" with another person if such person knowingly acts (whether or not pursuant to an express agreement, arrangement or understanding) in concert with, or toward a common goal relating to the management, governance or control of the Corporation in substantial parallel with, such other person where (A) each person is conscious of the other person's conduct or intent and this awareness is an element in their decision-making processes and (B) at least one additional factor suggests that such persons intend to act in concert or in substantial parallel, which such additional factors may include, without limitation, exchanging information (whether publicly or privately), attending meetings, conducting discussions or making or soliciting invitations to act in concert or in substantial parallel: provided that a person shall not be deemed to be Acting in Concert with any other person solely as a result of the solicitation or receipt of revocable proxies or consents from such other person in response to a solicitation made pursuant to, and in accordance with, Section 14(a) (or any successor provision) of the Exchange Act by way of a proxy or consent solicitation statement filed on Schedule 14A. A person Acting in Concert with another person shall be deemed to be Acting in Concert with any third party who is also Acting in Concert with such other person;
   
- (ii) "**_affiliate_**" and "**_associate_**"") shall have the meaning ascribed thereto in Rule 405 under The Securities Act of 1933, as amended (the "**_Securities Act_**"); *provided, however*, that the term "partner" as used in the definition of "associate" shall not include any limited partner that is not involved in the management of the relevant partnership;

- (iii) "**_Associated Person_**" shall mean with respect to any subject stockholder or other person (including any proposed nominee) (A) any person directly or indirectly controlling, controlled by or under common control with such stockholder or other person, (B) any beneficial owner of shares of stock of the Corporation owned of record or beneficially by such stockholder or other person, (C) any associate of such stockholder or other person, (D) any person directly or indirectly controlling, controlled by or under common control or Acting in Concert with any such Associated Person;

- (iv) "** Compensation Arrangement_**" shall mean any direct or indirect compensatory payment or other financial agreement, arrangement or understanding with any person or entity other than the Corporation, including any agreement, arrangement or understanding with respect to any direct or indirect compensation, reimbursement or indemnification in connection with candidacy, nomination, service or action as a nominee or as a director of the Corporation. 

- (v) "**_Competitor_**" shall mean any entity that provides products or services that compete with or are alternatives to the principal products produced or services provided by the Corporation or its affiliates;

- (vi) "**_Proposing Person"**" shall mean (A) the Record Stockholder providing notice of business proposed to be brought before an annual meeting or nomination of person for election to the Board at the stockholder meeting, (B) the beneficial owner or beneficial owners, if different, on whose behalf the notice of buisness proposed to be brought before the annual meeting or nomination of persons for election to the Board at a stockholder meeting is made, and (C) any Associated Person on whose behalf the notice of buisness proposed to be brought before the annual meeting or nomination of persons for election to the Board at a stockholder meeting is made;

- (vii) "**_Public Announcement_**" shall mean discloure in press relase reported by a national news or service or in a document publicly filed by the Corporation with the Securities and Exchange Commission pursuant to Section 13,14,or 15(d) of the Exchange Act; and 

- (viii) to be considerd a "**_Qualified Representatove_**" of a stockholder, a person must be a duly authorized officer, manager, turstee or partner of such stockholder or must be authorized by a writing executed by such stockholder or an electronic transmision delivered by such stockholder to act for such stockholder as a proxy at the meeting of stockholders and such person must produce such writing or electronic transmisssion, or a reliable reproduction thereof, at the meeting. The Secretary of the Corporation, or any other person who shall be appointed to serve as secretary of the meeting may require on behalf of the Corporation, resonable and appropriate documentation to verify the status of a person purporting to be a "Qualified Representatvie" for purposes hereof. 

### **Section 1.13: - Delivery to the Corporation**

Whenever this Article I requires one or more persons (including a record or beneficial owner of stock) to deliver a document or information to the Corporation or any officer, employee or agent thereof (including any notice, request, questionnaire, revocation, representation or other document or agreement), the Corporation shall not be required to accept delivery of such document or information unless the document or information is in writing (and not in an electronic transmission) and delivered by hand (including, without limitation, overnight courier service) or by certified or registered mail, return receipt requested.

### **ARTICLE II - BOARD OF DIRECTORS **

### **Section 2.1 - Number; Qualifications**

The total number of directors constituting the Whole Board shall be fixed from time to time in the manner set forth in the Certificate of Incorporation and the term **_"Whole Board"_** shall have the meaning specified in the Certificate of Incorporation. No decrease in the authorized number of directors constituting the Whole Board shall shorten the term of any incumbent director. Directors need not be stockholders of the Corporation.

### **Section 2.2 - Election; Resignation; Removal; Vacancies**

Election of directors need not be by written ballot. Each director shall hold office until the annual meeting at which such director's term expires and until such director's successor is elected and qualified or until such director's earlier death, resignation, disqualification or removal. Any director may resign by delivering a resignation in writing or by electronic transmission to the Corporation via electronic transmission to an email address designated by the Corporation on the investor relations page of its website or to the Chairperson of the Board, the Chief Executive Officer, or the Secretary. Such resignation shall be effective upon delivery unless it is specified to be effective at a later time or upon the happening of an event. Subject to the special rights of holders of any series of Preferred Stock to elect directors, directors may be removed only as provided by the Certificate of Incorporation and applicable law. All vacancies occurring in the Board and any newly created directorships resulting from any increase in the authorized number of directors shall be filled in the manner set forth in the Certificate of Incorporation.

### **Section 2.3 - Regular Meetings**

Regular meetings of the Board may be held at such places, within or without the State of Delaware, and at such times as the Board may from time to time determine. Notice of regular meetings need not be given if the date, times and places thereof are fixed by resolution of the Board.

### **Section 2.4 - Special Meetings**

Special meetings of the Board may be called by the Chairperson of the Board, the Chief Executive Officer, the Lead Independent Director or a majority of the members of the Board then in office and may be held at any time, date or place, within or without the State of Delaware, as the person or persons calling the meeting shall fix. Notice of the time, date and place of such meeting shall be given, orally, in writing or by electronic transmission (including electronic mail), by or at the direction of the person or persons calling the meeting to all directors at least four (4) days before the meeting if the notice is mailed, or at least twenty-four (24) hours before the meeting if such notice is given by telephone, hand delivery, telegram, telex, mailgram, facsimile, electronic mail or other means of electronic transmission; *provided, however*, that if, under the circumstances, the Chairperson of the Board, the Lead Independent Director or the Chief Executive Officer calling a special meeting deems that more immediate action is necessary or appropriate, notice may be delivered on the day of such special meeting. Unless otherwise indicated in the notice, any and all business may be transacted at a special meeting.

### **Section 2.5 - Remote Meetings Permitted**

Members of the Board, or any committee of the Board, may participate in a meeting of the Board or such committee by means of conference telephone or other communications equipment by means of which all persons participating in the meeting can hear each other, and participation in a meeting pursuant to conference telephone or other communications equipment shall constitute presence in person at such meeting.


### **Section 2.6 - Quorum: Vote Required for Action**

At all meetings of the Board, a majority of the Whole Board shall constitute a quorum for the transaction of business. If a quorum shall fail to attend any meeting, a majority of those present may adjourn the meeting to another place, date or time. Except as otherwise provided herein or in the Certificate of Incorporation, or required by law, the vote of a majority of the directors present at a meeting at which a quorum is present shall be the act of the Board. 

### **Section 2.7 - Organization**

Meetings of the Board shall be presided over by (a) the Chairperson of the Board, or (b) in the absence of such person, the Lead Independent Director, or (c) in such person's absence, by the Chief Executive Officer, or (d) in such person's absence, by a chairperson chosen by the Board at the meeting. The Secretary shall act as secretary of the meeting, but in such person's absence the chairperson of the meeting may appoint any person to act as secretary of the meeting.

### **Section 2.8 -  Unanimous Action by Directors in Lieu of a Meeting**

Any action required or permitted to be taken at any meeting of the Board, or of any committee thereof, may be taken without a meeting if all members of the Board or such committee, as the case may be, consent thereto in writing or by electronic transmission. After an action is taken, the consent or consents shall be filed with the minutes of proceedings of the Board or committee, as applicable. Such filing shall be in paper form if the minutes are maintained in paper form and shall be in electronic form if the minutes are maintained in electronic form.

### **Section 2.9 - Powers**

Except as otherwise provided by the Certificate of Incorporation or the DGCL, the business and affairs of the Corporation shall be managed by or under the direction of the Board.

### **Section 2.10 - Compensation of Directors**

Members of the Board, as such, may receive, pursuant to a resolution of the Board, fees and other compensation for their services as directors, including without limitation their services as members of committees of the Board.

### **Section 2.11 - Confidentiality**

Each director shall maintain the confidentiality of, and shall not share with any third party person or entity (including third parties that originally sponsored, nominated or designated such director (the "**_Sponsoring Party_**), any nonpublic information learned in their capacities as directors, including communications among Board members in their capacities as directors. The Board may adopt a board confidentiality policy further implementing and interpreting this bylaw (a "**_Board Confidentiality Policy_**). All directors are required to comply with this bylaw and any such Board Confidentiality Policy unless such director or the Sponsoring Party for such director has entered into a specific written agreement with the Corporation, in either case as approved by the Board, providing otherwise with respect to such confidential information.

### **Section 2.12 -Emergency Bylaws**

This Section 2.12 shall be operative during any emergency condition as contemplated by Section 110 of the DGCL (an "**_"Emergency_**"), notwithstanding any different or conflicting provisions in these Bylaws, the Certificate of Incorporation or the DGCL. In the event of any Emergency, or other similar emergency condition, the director or directors in attendance at a meeting of the Board or a standing committee thereof shall constitute a quorum. Such director or directors in attendance may further take action to appoint one or more of themselves or other directors to membership on any standing or temporary committees of the Board as they shall deem necessary and appropriate. Except as the Board may otherwise determine, during any Emergency, the Corporation and its directors and officers, may exercise any authority and take any action or measure contemplated by Section 110 of the DGCL.

### **ARTICLE III - COMMITTEES**

### **Section 3.1 - Committees**

The Board may designate one or more committees, each committee to consist of one or more of the directors of the Corporation. The Board may designate one or more directors as alternate members of any committee, who may replace any absent or disqualified member at any meeting of the committee. In the absence or disqualification of a member of the committee, the member or members thereof present at any meeting of such committee who are not disqualified from voting, whether or not such member or members constitute a quorum, may unanimously appoint another member of the Board to act at the meeting in place of any such absent or disqualified member. Any such committee, to the extent provided in a resolution of the Board, shall have and may exercise all the powers and authority of the Board in the management of the business and affairs of the Corporation and may authorize the seal of the Corporation to be affixed to all papers that may require it; but no such committee shall have the power or authority in reference to the following matters: (a) approving, adopting, or recommending to the stockholders any action or matter (other than the election or removal of members of the Board) expressly required by the DGCL to be submitted to stockholders for approval or (b) adopting, amending or repealing any bylaw of the Corporation.

### **Section 3.2 - Committee Rules**

Each committee shall keep records of its proceedings and make such reports as the Board may from time to time request. Unless the Board otherwise provides, each committee designated by the Board may make, alter and repeal rules for the conduct of its business. In the absence of such rules, each committee shall conduct its business in the same manner as the Board conducts its business pursuant to Article II of these Bylaws. Except as otherwise provided in the Certificate of Incorporation, these Bylaws or the resolution of the Board designating the committee, any committee may create one or more subcommittees, each subcommittee to consist of one or more members of the committee, and may delegate to any such subcommittee any or all of the powers and authority of the committee.

### **ARTICLE 4 - OFFICERS; CHAIRPERSON; LEAD INDEPENDENT DIRECTOR**

### **Section 4.1 - Generally**

The officers of the Corporation shall consist of a Chief Executive Officer (who may be the Chairperson of the Board or the President), a President, a Secretary and a Treasurer and may consist of such other officers, including, without limitation, a Chief Financial Officer, and one or more Vice Presidents, as may from time to time be appointed by the Board. All officers shall be elected by the Board; *provided howerver*, that the Board may empower the Chief Executive Officer of the Corporation to appoint any officer other than the Chief Executive Officer, the President, the Chief Financial Officer or the Treasurer. Except as otherwise provided by law, by the Certificate of Incorporation or these Bylaws, each officer shall hold office until such officer's successor is duly elected and qualified or until such officer's earlier resignation, death, disqualification or removal. Any number of offices may be held by the same person. Any officer may resign by delivering a resignation in writing or by electronic transmission to the Corporation via electronic transmission to an email address designated by the Corporation on the investor relations page of its website or to the Chairperson of the Board, the Chief Executive Officer, or the Secretary. Such resignation shall be effective upon delivery unless it is specified to be effective at some later time or upon the happening of some later event. Any vacancy occurring in any office of the Corporation by death, resignation, removal or otherwise may be filled by the Board and the Board may, in its discretion, leave unfilled, for such period as it may determine, any offices. Each such successor shall hold office for the unexpired term of such officer's predecessor and until a successor is duly elected and qualified or until such officer's earlier resignation, death, disqualification or removal.

### **Section 4.2 - Chief Executive Officer**

Subject to the control of the Board and such supervisory powers, if any, as may be given by the Board, the powers and duties of the Chief Executive Officer of the Corporation are:

(a)	to act as the general manager and, subject to the control of the Board, to have general supervision, direction and control of the business and affairs of the Corporation; and

(b)	to affix the signature of the Corporation to all deeds, conveyances, mortgages, guarantees, leases, obligations, bonds, certificates and other papers and instruments in writing which have been authorized by the Board or which, in the judgment of the Chief Executive Officer, should be executed on behalf of the Corporation; to sign certificates for shares of stock of the Corporation (if any); and, subject to the direction of the Board, to have general charge of the property of the Corporation and to supervise and control all officers, agents and employees of the Corporation.

### **Section 4.3 - Chairperson of the Board**

Subject to the provisions of Section 2.7 of these Bylaws, the Chairperson of the Board shall have the power to preside at all meetings of the Board and shall have such other powers and duties as provided in these Bylaws and as the Board may from time to time prescribe. The Chariperson of the Board may or amy not be an officer of the Corporation. 

### **Section 4.4 - Lead Independent Director**

The Board may, in its discretion, elect a lead independent director from among its members that are Independent Directors (as defined below) (such director, the **_"Lead Independent Director_**''). The Lead Independent Director shall preside at all Board meetings at which the Chairperson of the Board is not present and shall exercise such other powers and duties as may from time to time be assigned to him or her by the Board or as prescribed by these Bylaws. For purposes of these Bylaws, "**_Independent Director_**" has the meaning ascribed to such term under the rules of the exchange upon which the Corporation's Class A Common Stock is primarily traded.

### **Section 4.5 - President**

The person holding the office of Chief Executive Officer shall be the President of the Corporation unless the Board shall have designated one individual as the President and a different individual as the Chief Executive Officer of the Corporation. Subject to the provisions of these Bylaws and to the direction of the Board, and subject to the supervisory powers of the Chief Executive Officer (if the Chief Executive Officer is an officer other than the President), and subject to such supervisory powers and authority as may be given by the Board to the Chairperson of the Board, and/or to any other officer, the President shall have the responsibility for the general management and control of the business and affairs of the Corporation and the general supervision and direction of all of the officers, employees and agents of the Corporation (other than the Chief Executive Officer, if the Chief Executive Officer is an officer other than the President) and shall perform all duties and have all powers that are commonly incident to the office of President or that are delegated to the President by the Board.

### **Section 4.6 - Chief Financial Officer**

The person holding the office of Chief Financial Officer shall be the Treasurer of the Corporation unless the Board shall have designated another officer as the Treasurer of the Corporation. Subject to the direction of the Board and the Chief Executive Officer, the Chief Financial Officer shall perform all duties and have all powers that are commonly incident to the office of Chief Financial Officer, or as the Board or the Chief Executive Officer may from time to time prescribe.

### **Section 4.7 - Treasurer**

The person holding the office of Treasurer shall have custody of all monies and securities of the Corporation. The Treasurer shall make such disbursements of the funds of the Corporation as are authorized and shall render from time to time an account of all such transactions. The Treasurer shall also perform such other duties and have such other powers as are commonly incident to the office of Treasurer, or as the Board or the Chief Executive Officer may from time to time prescribe.

### **Section 4.8 - Vice President**

Each Vice President shall have all such powers and duties as are commonly incident to the office of Vice President or that are delegated to him or her by the Board or the Chief Executive Officer. A Vice President may be designated by the Board to perform the duties and exercise the powers of the Chief Executive Officer or President in the event of the Chief Executive Officer's or President's absence or disability.

### **Section 4.9 - Secretary**

The Secretary shall issue or cause to be issued all authorized notices for, and shall keep, or cause to be kept, minutes of all meetings of the stockholders and the Board. The Secretary shall have charge of the corporate minute books and similar records and shall perform such other duties and have such other powers as are commonly incident to the office of Secretary, or as the Board or the Chief Executive Officer may from time to time prescribe.

### **Section 4.10 - Delegation of Aughority**

Notwithstanding any prov1s1on hereof, the Board may from time to time delegate the powers or duties of any officer of the Corporation to any other officers or agents of the Corporation.

### **Section 4.11 - Removal**

Any officer of the Corporation shall serve at the pleasure of the Board and may be removed at any time, with or without cause, by the Board; provided that if the Board has empowered the Chief Executive Officer to appoint any officer of the Corporation, then such officer may also be removed by the Chief Executive Officer. Such removal shall be without prejudice to the contractual rights of such officer, if any, with the Corporation.

### **ARTICLE V - STOCK**

### **Section 5.1 - Certificates; Uncertificated Shares**

The shares of capital stock of the Corporation shall be uncertificated shares; *provided, however*, that the resolution of the Board that the shares of capital stock of the Corporation shall be uncertificated shares shall not apply to shares represented by a certificate until such certificate is surrendered to the Corporation (or the transfer agent or registrar, as the case may be). Notwithstanding the foregoing, the Board may provide by resolution or resolutions that some or all of any or all classes or series of its stock shall be certificated shares. Every holder of stock represented by certificates shall be entitled to have a certificate signed by, or in the name of the Corporation, by any two authorized officers of the Corporation (it being understood that each of the Chairperson of the Board, the Vice­ Chairperson of the Board, the Chief Executive Officer, the President, any Vice President, the Treasurer, any Assistant Treasurer, the Secretary, and any Assistant Secretary shall be an authorized officer for such purpose), representing the number of shares registered in certificate form. Any or all of the signatures on the certificate may be a facsimile. In case any officer, transfer agent or registrar who has signed or whose facsimile signature has been placed upon a certificate shall have ceased to be such officer, transfer agent or registrar before such certificate is issued, it may be issued by the Corporation with the same effect as if such person were an officer, transfer agent or registrar at the date of issue.

### **Section 5.2 - Lost, Stolen or Destroyed Stock Certificates; Issuance of New Certificates or Uncertificated Shares**

The Corporation may issue a new certificate of stock or uncertificated shares in the place of any certificate previously issued by it, alleged to have been lost, stolen or destroyed, upon the making of an affidavit of that fact by the person claiming the certificate of stock to be lost, stolen or destroyed, and the Corporation may require the owner of the lost, stolen or destroyed certificate, or such owner's legal representative, to give the Corporation a bond sufficient to indemnify it, against any claim that may be made against it on account of the alleged loss, theft or destruction of any such certificate or the issuance of such new certificate or uncertificated shares.

### **Section 5.3 - Other Regulations**

Subject to applicable law, the Certificate of Incorporation and these Bylaws, the issue, transfer, conversion and registration of shares represented by certificates and of uncertificated shares shall be governed by such other regulations as the Board may establish.

### **ARTICLE VI - INDEMNIFICATION**

### **Section 6.1 - Indemnification of Officers and Directors**

Each person who was or is made a party to, or is threatened to be made a party to, or is involved in any threatened, pending or completed action, suit or proceeding, whether civil, criminal, administrative, legislative, investigative, preliminary, informal or formal, or any other type whatsoever, including any arbitration or other alternative dispute resolution and including any appeal of the foregoing (a "**_Proceeding_**"), by reason of the fact that such person (or a person of whom such person is the legal representative), is or was a member of the Board of the Corporation or is or was an officer of the Corporation designated by the Board to be entitled to the indemnification and advancement rights set forth in this Article VI or, while serving in such capacity, is or was serving at the request of the Corporation as a director, officer, employee, agent or trustee of another corporation, or of a partnership, joint venture, trust or other enterprise, including service with respect to employee benefit plans (for purposes of this Article VI, an "**_Indemnitee_**"), shall be indemnified and held harmless by the Corporation to the fullest extent permitted by the DGCL as the same exists or may hereafter be amended (but, in the case of any such amendment, only to the extent that such amendment permits the Corporation to provide broader indemnification rights than such law permitted the Corporation to provide prior to such amendment), against all expenses, liability and loss (including attorneys' fees, judgments, fines, ERISA excise taxes and penalties and amounts paid or to be paid in settlement) reasonably incurred or suffered by such Indemnitee in connection therewith, provided such Indemnitee acted in good faith and in a manner that the Indemnitee reasonably believed to be in or not opposed to the best interests of the Corporation, and, with respect to any criminal Proceeding, had no reasonable cause to believe the Indemnitee's conduct was unlawful. Such indemnification shall continue as to an Indemnitee who has ceased to be a director or officer of the Corporation and shall inure to the benefit of such Indemnitees' heirs, executors and administrators. Notwithstanding the foregoing, subject to Section 6.5 of this Article VI, the Corporation shall indemnify any such Indemnitee seeking indemnity in connection with a Proceeding (or part thereof) initiated by such Indemnitee only if such Proceeding (or part thereof) was authorized by the Board or such indemnification is authorized by an agreement approved by the Board.

### **Section 6.2 - Advance of Expenses**

Except as otherwise provided in a written indemnification agreement between the Corporation and the Indemnitee, the Corporation shall pay all reasonable expenses (including attorneys' fees) incurred by an Indemnitee in defending any Proceeding as they are incurred or otherwise in advance of its final disposition; *provided, however*, that if the DGCL then so requires, the advancement of such expenses (i.e., payment of such expenses as incurred or otherwise in advance of the final disposition of the Proceeding) shall be made only upon delivery to the Corporation of an undertaking, by or on behalf of such Indemnitee, to repay such amounts if it shall ultimately be determined by final judicial decision from which there is no appeal that such Indemnitee is not entitled to be indemnified under this Article VI or otherwise.


### **Section 6.3 - Non-Exclusivity of Rights**

The rights conferred on any person in this Article VI shall not be exclusive of any other right that such person may have or hereafter acquire under any statute, provision of the Certificate of Incorporation, Bylaws, agreement, vote or consent of stockholders or disinterested directors, or otherwise. Additionally, nothing in this Article VI shall limit the ability of the Corporation, in its discretion, to indemnify or advance expenses to persons whom the Corporation is not obligated to indemnify or advance expenses pursuant to this Article VI.

### **Section 6.4 - Indemnification Contracts**

The Board is, or as otherwise delegated by the Board to the officers of the Corporation, the officers are, authorized to cause the Corporation to enter into indemnification contracts with any member of the Board, officer, employee or agent of the Corporation, or any person serving at the request of the Corporation as a director, officer, employee, agent or trustee of another corporation, partnership, joint venture, trust or other enterprise, including employee benefit plans, providing indemnification or advancement rights to such person. Such rights may be greater than those provided in this Article VI.

### **Section 6.5 - Rights of Indemnitee to Bring Suit**

The following shall apply to the extent not in conflict with any indemnification contract provided for in Section 6.4 of this Article VI.

**6.5.1 Right to Bring Suit.** If a claim under Section 6.1 or 6.2 of this Article VI is not paid in full by the Corporation within sixty (60) days after a written claim has been received by the Corporation, except in the case of a claim for an advancement of expenses, in which case the applicable period shall be twenty (20) days, the Indemnitee may at any time thereafter bring suit against the Corporation to recover the unpaid amount of the claim. If the Indemnitee is successful in whole or in part in any such suit, or in a suit brought by the Corporation to recover an advancement of expenses pursuant to the terms of an undertaking, the Indemnitee also shall be entitled to be paid, to the fullest extent permitted by law, the expense of prosecuting or defending such suit. In any suit brought by the Indemnitee to enforce a right to indemnification hereunder (but not in a suit brought by the Indemnitee to enforce a right to an advancement of expenses) it shall be a defense that the Indemnitee has not met any applicable standard for indemnification set forth in applicable law. In any suit brought by the Corporation to recover the advancement of expenses pursuant to the terms of an undertaking, the Corporation shall be entitled to recover such expenses upon a final adjudication that, the Indemnitee has not met any applicable standard for indemnification set forth in applicable law.

**6.5.2 Effect of Determination.** Neither the absence of a determination by or on behalf of the Corporation prior to the commencement of such suit that indemnification of the Indemnitee is proper in the circumstances because the Indemnitee has met the applicable standard of conduct set forth in applicable law, nor an actual determination by or on behalf of the Corporation that the Indemnitee has not met such applicable standard of conduct, shall create a presumption that the Indemnitee has not met the applicable standard of conduct or, in the case of such a suit brought by the Indemnitee, be a defense to such suit.

**6.5.3 Burden of Proof.** In any suit brought by the Indemnitee to enforce a right to indemnification or to an advancement of expenses hereunder, or brought by the Corporation to recover an advancement of expenses pursuant to the terms of an undertaking, the burden of proving that the Indemnitee is not entitled to be indemnified, or to such advancement of expenses, under this Article VI, or otherwise, shall be on the Corporation.

### **Section 6.6 - Successful Defense**

To the extent that an Indemnitee has been successful on the merits or otherwise in defense of any proceeding (or in defense of any claim, issue or matter therein), such Indemnitee shall be indemnified under this Section 6.6 against expenses (including attorneys' fees) actually and reasonably incurred in connection with such defense. Indemnification under this Section 6.6 shall not be subject to satisfaction of a standard of conduct, and the Corporation may not assert the failure to satisfy a standard of conduct as a basis to deny indemnification or recover amounts advanced, including in a suit brought pursuant to Section 6.5 of this Article VI (notwithstanding anything to the contrary therein); provided, however, that, any Indemnitee who is not a current or former member of the Board or officer (as such term is defined in the final sentence of Section 145(c)(l) of the DGCL) shall be entitled to indemnification under Section 6.1 of this Article VI and this Section 6.6 only if such Indemnitee has satisfied the standard of conduct required for indemnification under Section 145(a) or Section 145(b) of the DGCL.

### **Section 6.7 - Nature of Rights**

The rights conferred upon Indemnitees in this Article VI shall be contract rights and such rights shall continue as to an Indemnitee who has ceased to be a member of the Board, officer, employee or agent and shall inure to the benefit of the Indemnitee's heirs, executors and administrators. Any amendment, repeal or modification of any provision of this Article VI that adversely affects any right of an Indemnitee or an Indemnitee's successors shall be prospective only, and shall not adversely affect any right or protection conferred on a person pursuant to this Article VI with respect to any Proceeding involving any occurrence or alleged occurrence of any action or omission to act that took place prior to such amendment, repeal or modification.

### **Section 6.8 - Insurance**

The Corporation may purchase and maintain insurance, at its expense, to protect itself and any member of the Board, officer, employee or agent of the Corporation or another corporation, partnership, joint venture, trust or other enterprise against any expense, liability or loss, whether or not the Corporation would have the power to indemnify such person against such expense, liability or loss under the DGCL.


### **ARTICLE VII - NOTICES**

### **Section 7.1 - Notice**

**7.1.1 Form and Delivery.** Except as otherwise required by law, notice may be given in writing directed to a stockholder's mailing address as it appears on the records of the Corporation and shall be given: (a) if mailed, when notice is deposited in the U.S. mail, postage prepaid; and (b) if delivered by courier service, the earlier of when the notice is received or left at such stockholder's address. So long as the Corporation is subject to the Securities and Exchange Commission's proxy rules set forth in Regulation 14A under the Exchange Act, notice shall be given in the manner required by such rules. To the extent permitted by such rules, or if the Corporation is not subject to Regulation 14A, notice may be given by electronic transmission directed to the stockholder's electronic mail address, and if so given, shall be given when directed to such stockholder's electronic mail address unless the stockholder has notified the Corporation in writing or by electronic transmission of an objection to receiving notice by electronic mail or such notice is prohibited by Section 232(e) of the DGCL. If notice is given by electronic mail, such notice shall comply with the applicable provisions of Sections 232(a) and 232(d) of the DGCL. Notice may be given by other forms of electronic transmission with the consent of a stockholder in the manner permitted by Section 232(b) of the DGCL and shall be deemed given as provided therein.

**7.1.2 Affidavit of Giving Notice.** An affidavit of the Secretary or an Assistant Secretary or of the transfer agent or other agent of the Corporation that the notice has been given in writing or by a form of electronic transmission shall, in the absence of fraud, be prima facie evidence of the facts stated therein.

### **ARTICLE 7.2 - Waiver of Notice**

Whenever notice is required to be given under any provision of the DGCL, the Certificate of Incorporation or these Bylaws, a written waiver of notice, signed by the person entitled to notice, or waiver by electronic transmission by such person, whether before or after the time stated therein, shall be deemed equivalent to notice. Attendance of a person at a meeting shall constitute a waiver of notice of such meeting, except when the person attends a meeting for the express purpose of objecting at the beginning of the meeting to the transaction of any business because the meeting is not lawfully called or convened. Neither the business to be transacted at, nor the purpose of, any regular or special meeting of the stockholders, directors or members of a committee of directors need be specified in any waiver of notice.


### **ARTICLE VIII - INTERESTED DIRECTORS**

### **Section 8.1 -Interested Directors**

No contract or transaction between the Corporation and one or more of its members of the Board or officers, or between the Corporation and any other corporation, partnership, association or other organization in which one or more of its directors or officers are members of the board of directors or officers, or have a financial interest, shall be void or voidable solely for this reason, or solely because the director or officer is present at or participates in the meeting of the Board or committee thereof that authorizes the contract or transaction, or solely because his, her or their votes are counted for such purpose, if: (a) the material facts as to his, her or their relationship or interest and as to the contract or transaction are disclosed or are known to the Board or the committee, and the Board or committee in good faith authorizes the contract or transaction by the affirmative votes of a majority of the disinterested directors, even though the disinterested directors be less than a quorum; (b) the material facts as to his, her or their relationship or interest and as to the contract or transaction are disclosed or are known to the stockholders entitled to vote thereon, and the contract or transaction is specifically approved in good faith by vote of the stockholders; or (c) the contract or transaction is fair as to the Corporation as of the time it is authorized, approved or ratified by the Board, a committee thereof, or the stockholders.

### **Section 8.2 - Quorum**

 Interested directors may be counted in determining the presence of a quorum at a meeting of the Board or of a committee which authorizes a contract or transaction described in Section 8.1 of this Article VIII.


### **ARTICLE IX -MISCELLANEOUS**

### **Section 9.1 - Fiscal Year**

The fiscal year of the Corporation shall be determined by resolution of the Board.

### **Section 9.2 - Seal**

The Board may provide for a corporate seal, which may have the name of the Corporation inscribed thereon and shall otherwise be in such form as may be approved from time to time by the Board.

### **Section 9.3 - Form of Records**

Any records administered by or on behalf of the Corporation in the regular course of its business, including its stock ledger, books of account and minute books, may be kept on or by means of, or be in the form of any other information storage device, method or one or more electronic networks or databases (including one or more distributed electronic networks or databases), electronic or otherwise, provided that the records so kept can be converted into clearly legible paper form within a reasonable time and otherwise comply with the DGCL. The Corporation shall so convert any records so kept upon the request of any person entitled to inspect such records pursuant to any provision of the DGCL.

### **Section 9.4 - Reliance Upon Books and Records**

A member of the Board, or a member of any committee designated by the Board shall, in the performance of such person's duties, be fully protected in relying in good faith upon the books and records of the Corporation and upon such information, opinions, reports or statements presented to the Corporation by any of the Corporation's officers or employees, or committees of the Board, or by any other person as to matters the member reasonably believes are within such other person's professional or expert competence and who has been selected with reasonable care by or on behalf of the Corporation.

### **Section 9.5 - Certificate of Incorporation Governs**

In the event of any conflict between the provisions of the Certificate of Incorporation and Bylaws, the provisions of the Certificate of Incorporation shall govern.

### **Section 9.6 - Severability**

If any provision of these Bylaws shall be held to be invalid, illegal, unenforceable or in conflict with the provisions of the Certificate of Incorporation, then such provision shall nonetheless be enforced to the maximum extent possible consistent with such holding and the remaining provisions of these Bylaws (including without limitation, all portions of any section of these Bylaws containing any such provision held to be invalid, illegal, unenforceable or in conflict with the Certificate of Incorporation, that are not themselves invalid, illegal, unenforceable or in conflict with the Certificate of Incorporation) shall remain in full force and effect.

### **Section 9.7 - Time Periods**

In applying any provision of these Bylaws which requires that an act be done or not be done a specified number of days prior to an event or that an act be done during a period of a specified number of days prior to an event, calendar days shall be used (unless otherwise specified herein), the day of the doing of the act shall be excluded, and the day of the event shall be included.


### **ARTICLE X - AMENDMENT**

Notwithstanding any other provision of these Bylaws, any alteration, amendment or repeal of these Bylaws, and any adoption of new Bylaws, shall require the approval of the Board or the stockholders of the Corporation as expressly provided in the Certificate of Incorporation.


### **CERTIFICATE RESTATED BYLAWS OF GITLAB, INC**

I, Robin Schulman certify that I am Chief Legal Officer and Corporate Secretary of GitLab, Inc., a Delaware corporation (the **_"Corporation"_**), that I am duly authorized to make and deliver this certification, that the attached Bylaws are a true and complete copy of the Restated Bylaws of the Corporation in effect as of the date of this Certificate. 

Dated: October 18, 2021

**/Robin Schulman/, Chief Leagal Officer and Corporate Secretary**
